summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Menno Duursma2010-07-26 04:25:46 +0200
committer Erik Hanson2010-07-26 04:52:41 +0200
commit41299b6c7b9107442066851a962323d9dabec0cc (patch)
treeb607ec04e42b2a2e983c96730da2953cbacae7d9
parent9b47bd6b00824722c7c7b64ed97b629367b9a043 (diff)
downloadslackbuilds-41299b6c7b9107442066851a962323d9dabec0cc.tar.gz
system/bar: Added (Command Line Progress Bar)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--system/bar/README9
-rw-r--r--system/bar/bar.SlackBuild87
-rw-r--r--system/bar/bar.info10
-rw-r--r--system/bar/slack-desc20
4 files changed, 126 insertions, 0 deletions
diff --git a/system/bar/README b/system/bar/README
new file mode 100644
index 0000000000..c5a4500cf2
--- /dev/null
+++ b/system/bar/README
@@ -0,0 +1,9 @@
+Command Line Progress Bar - show information about a data transfer.
+
+Bar is a simple tool to copy a stream of data and print a display for the
+user on stderr showing (a) the amount of data passed, (b) the throughput
+of the data transfer, and (c) the transfer time.
+
+Or, if the total size of the data stream is known: the estimated time
+remaining, what percentage of the data transfer has been completed, and
+a progress bar.
diff --git a/system/bar/bar.SlackBuild b/system/bar/bar.SlackBuild
new file mode 100644
index 0000000000..b4f3756391
--- /dev/null
+++ b/system/bar/bar.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for Bar
+
+# Written by Menno Duursma <druiloor@zonnet.nl>
+
+# This program is free software. It comes without any warranty.
+# Granted WTFPL, Version 2, as published by Sam Hocevar. See
+# http://sam.zoy.org/wtfpl/COPYING for more details.
+
+PRGNAM=bar
+VERSION=${VERSION:-1.10.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_${VERSION}.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL TODO TROUBLESHOOTING \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/bar/bar.info b/system/bar/bar.info
new file mode 100644
index 0000000000..b681d622c8
--- /dev/null
+++ b/system/bar/bar.info
@@ -0,0 +1,10 @@
+PRGNAM="bar"
+VERSION="1.10.9"
+HOMEPAGE="http://clpbar.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/clpbar/bar_1.10.9.tar.gz"
+MD5SUM="d824415b391a3f826b410c86223e54a5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Menno Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="Erik Hanson"
diff --git a/system/bar/slack-desc b/system/bar/slack-desc
new file mode 100644
index 0000000000..9ec2f66d0f
--- /dev/null
+++ b/system/bar/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+bar: bar (Command Line Progress Bar)
+bar:
+bar: A program to show information about a data transfer. Bar is a simple
+bar: tool to copy a stream of data and print a progress display for the
+bar: user on stderr.
+bar:
+bar: bar was wtitten by Michael Peek
+bar:
+bar:
+bar:
+bar:
+bar: